//Beggining Hud
local function hud_abilitytable(v, player)
	if (player.mo and player.mo.valid and player.mo.skin == "scarf")
	and not player.powers[pw_carry]
	and not (CBW_Battle)
	and player.playerstate == PST_LIVE
	and not player.gotflag
		if player.charability == CA_NONE
		and not (player.pflags & PF_THOKKED)
		and not player.armaform
		and not player.mo.sworddash
			v.drawString(15, 56, "Ability: Float Dash", V_HUDTRANS|V_PERPLAYER|V_SNAPTOTOP|V_SNAPTOLEFT|V_REDMAP)
		elseif player.charability == CA_NONE
		and not player.mo.sworddash
		and not player.armaform
			v.drawString(15, 56, "Ability: Gravity Jump", V_HUDTRANS|V_PERPLAYER|V_SNAPTOTOP|V_SNAPTOLEFT|V_GRAYMAP)
		elseif player.charability == CA_NONE
		and player.armaform == true
			v.drawString(15, 56, "Ability: Parry Fly", V_HUDTRANS|V_PERPLAYER|V_SNAPTOTOP|V_SNAPTOLEFT|V_INVERTMAP)
		end
		if player.mo.sworddash
			v.drawFill(15, 66, player.mo.sworddash/3, 32, V_HUDTRANS|V_PERPLAYER|V_SNAPTOTOP|V_SNAPTOLEFT)
		end
		if player.mo.swordjump
			v.drawFill(15, 66, player.mo.swordjump/3, 32, V_HUDTRANS|V_PERPLAYER|V_SNAPTOTOP|V_SNAPTOLEFT)
		end
		if player.mo.flamedoublejump
			v.drawFill(15, 66, player.mo.flamedoublejump/3, 32, V_HUDTRANS|V_PERPLAYER|V_SNAPTOTOP|V_SNAPTOLEFT)
		end
	end
end

hud.add(hud_abilitytable)

//Hud in Battle Mode fix
local function hud_abilitytable2(v, player)
	if (player.mo and player.mo.valid and player.mo.skin == "scarf")
	and not player.powers[pw_carry]
	and (CBW_Battle)
	and player.playerstate == PST_LIVE
	and not (player.gotflag or player.gotcrystal)
		//Fixing a Hud in Battle Mode
		if player.charability == CA_NONE
		and not (player.pflags & PF_THOKKED)
		and not player.armaform
			v.drawString(15, 76, "Ability: Float Dash", V_HUDTRANS|V_PERPLAYER|V_SNAPTOTOP|V_SNAPTOLEFT|V_REDMAP)
		elseif player.charability == CA_DOUBLEJUMP
		and not player.armaform
			v.drawString(15, 76, "Ability: Double Jump", V_HUDTRANS|V_PERPLAYER|V_SNAPTOTOP|V_SNAPTOLEFT|V_BLUEMAP)
		elseif player.charability == CA_NONE
		and not player.mo.sworddash
		and not player.armaform
			v.drawString(15, 76, "Ability: Gravity Jump", V_HUDTRANS|V_PERPLAYER|V_SNAPTOTOP|V_SNAPTOLEFT|V_GRAYMAP)
		elseif player.charability == CA_NONE
		and player.armaform == true
			v.drawString(15, 76, "Ability: Parry Fly", V_HUDTRANS|V_PERPLAYER|V_SNAPTOTOP|V_SNAPTOLEFT|V_INVERTMAP)
		end
		if player.mo.sworddash
			v.drawFill(15, 86, player.mo.sworddash/3, 32, V_HUDTRANS|V_PERPLAYER|V_SNAPTOTOP|V_SNAPTOLEFT)
		end
		if player.mo.swordjump
			v.drawFill(15, 86, player.mo.swordjump/3, 32, V_HUDTRANS|V_PERPLAYER|V_SNAPTOTOP|V_SNAPTOLEFT)
		end
		//Fixing a hud arma form in Battle Mode
		//Why not?
		if player.mo.flamedoublejump
			v.drawFill(15, 86, player.mo.flamedoublejump/3, 32, V_HUDTRANS|V_PERPLAYER|V_SNAPTOTOP|V_SNAPTOLEFT)
		end
	end
end

hud.add(hud_abilitytable2)

local function scarfiseatvanillahud(v, player)
    if player.mo and player.mo.valid and player.mo.skin == "scarf"
	and not CBW_Battle
        hud.disable("score")
        hud.disable("rings")
        hud.disable("time")
    else
        hud.enable("score")
        hud.enable("rings")
        hud.enable("time")
    end
end

hud.add(scarfiseatvanillahud, "game")

//Redacted Standard Hud Ring's, Clock, timer
local function hud_scarf(v, player)
	if (player.mo and player.mo.valid and player.mo.skin == "scarf")
	and not(mapheaderinfo[gamemap].typeoflevel & TOL_NIGHTS)
	and not CBW_Battle
		v.draw(15, 40, v.cachePatch("SRING"..player.hudvanilla_animation), V_SNAPTOLEFT|V_SNAPTOTOP|V_HUDTRANS)
		v.draw(15, 22, v.cachePatch("SSCORE"..player.hudvanilla_animation), V_SNAPTOLEFT|V_SNAPTOTOP|V_HUDTRANS)
		v.draw(15, 5, v.cachePatch("STIMER"), V_SNAPTOLEFT|V_SNAPTOTOP|V_HUDTRANS)
		v.drawString(35, -7, "Timer: " + G_TicsToMinutes(player.realtime,full)+":"+G_TicsToSeconds(player.realtime), V_SNAPTOBOTTOM|V_SNAPTOLEFT)
		v.drawString(35, 10, "Score: " + player.score, V_SNAPTOBOTTOM|V_SNAPTOLEFT|V_BLUEMAP)
		v.drawString(35, 28, "Rings: " + player.rings, V_SNAPTOBOTTOM|V_SNAPTOLEFT)
	end
end

hud.add(hud_scarf)
//Hud End