local rs_loaded = false

addHook("ThinkFrame", do
	if RingSlinger and not rs_loaded
		rs_loaded = true;
		print("\x83 Loaded RingSlinger NEO added support for \x85 Scarf The Wolf Hell Guns")
		RingSlinger.AddWeapon({
			name = "Hell Revoler",
			viewsprite = "HERVA0",
			hudsprite = "RBHTPK",
			mt = MT_RS_THROWNSCATTER,
			sound = sfx_hellrv,
			viewoffset = 25*FRACUNIT,
			auto = true,
			delay = 8,
			scale = FRACUNIT * 7/4,
			shake = 5,
			cost = 4
		})
		RingSlinger.AddWeapon({
			name = "Hell Granate",
			viewsprite = "HLGTA0",
			hudsprite = "HELLGNT",
			mt = MT_RS_THROWNGRENADE,
			flags2 = MF2_EXPLOSION,
			sound = sfx_rs_gre,
			scale = FRACUNIT * 7/4,
			viewoffset = 25*FRACUNIT,
			fuse = 72,
			delay = 9,
			shake = 2,
			cost = 3
		})
		RingSlinger.Skins["scarf"] = {
			ammo = 35,
			weapons = {RSWPN_HELLREVOLER, RSWPN_HELLGRANATE}
		}
	end
end)